use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IComment;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "comment")]
pub(crate) struct RenderComment {}

impl RenderComment {
    pub(crate) fn new(
        config: &Config,
        output_directory: &Path,
        output_file: &Path,
        comment: &IComment,
    ) -> Result<RenderComment, CustomError> {
        Ok(RenderComment {})
    }
}
